package cn.schedule.core;

import org.quartz.JobExecutionContext;

import cn.pojo.entity.TSysJob;
import cn.schedule.util.JobInvokeUtil;

/**
 * 定时任务处理（允许并发执行）
 */
public class QuartzJobExecution extends AbstractQuartzJob {
    @Override
    protected void doExecute(JobExecutionContext context, TSysJob sysJob) throws Exception {
        JobInvokeUtil.invokeMethod(sysJob);
    }
}